IPHlpAPI.TCP_TABLE_CLASS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: IPHlpAPI, interface: TCP_TABLE_CLASS

Package com.sun.jna.platform.win32

# Interface IPHlpAPI.TCP_TABLE_CLASS

Enclosing interface:
  IPHlpAPI

public static interface IPHlpAPI.TCP_TABLE_CLASS
Defines the set of values used to indicate the type of table returned by calls to `IPHlpAPI.GetExtendedTcpTable(com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference, boolean, int, int, int)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TCP_TABLE_BASIC_ALL`
  `static final int`
  `TCP_TABLE_BASIC_CONNECTIONS`
  `static final int`
  `TCP_TABLE_BASIC_LISTENER`
  `static final int`
  `TCP_TABLE_OWNER_MODULE_ALL`
  `static final int`
  `TCP_TABLE_OWNER_MODULE_CONNECTIONS`
  `static final int`
  `TCP_TABLE_OWNER_MODULE_LISTENER`
  `static final int`
  `TCP_TABLE_OWNER_PID_ALL`
  `static final int`
  `TCP_TABLE_OWNER_PID_CONNECTIONS`
  `static final int`
  `TCP_TABLE_OWNER_PID_LISTENER`

- ## Field Details

  - ### TCP_TABLE_BASIC_LISTENER

    static final int TCP_TABLE_BASIC_LISTENER
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_BASIC_CONNECTIONS

    static final int TCP_TABLE_BASIC_CONNECTIONS
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_BASIC_ALL

    static final int TCP_TABLE_BASIC_ALL
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_OWNER_PID_LISTENER

    static final int TCP_TABLE_OWNER_PID_LISTENER
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_OWNER_PID_CONNECTIONS

    static final int TCP_TABLE_OWNER_PID_CONNECTIONS
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_OWNER_PID_ALL

    static final int TCP_TABLE_OWNER_PID_ALL
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_OWNER_MODULE_LISTENER

    static final int TCP_TABLE_OWNER_MODULE_LISTENER
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_OWNER_MODULE_CONNECTIONS

    static final int TCP_TABLE_OWNER_MODULE_CONNECTIONS
    See Also:
      - Constant Field Values

  - ### TCP_TABLE_OWNER_MODULE_ALL

    static final int TCP_TABLE_OWNER_MODULE_ALL
    See Also:
      - Constant Field Values